Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class PicoISim.IX_Simulator

    java.lang.Object
      ix.examples.PicoIX.IX_System
          ix.examples.PicoISim.IX_Simulator

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  PicoISimTest2.TestSimulator

Enclosing class:
  PicoISim

    static class PicoISim.IX_Simulator

extends PicoIX.IX_System

An IX_System for discrete event simulation.

Field Summary
`(package private) long` | `simTime`
`(package private) boolean` | `stopWhenIdle`

Fields inherited from class ix.examples.PicoIX.IX_System
`controller, listener, model, q, thread`

Constructor Summary
`PicoISim.IX_Simulator()`
`PicoISim.IX_Simulator(PicoIX.Controller c, PicoIX.ModelManager m)`

Method Summary
`void` | `addSimEventHandlers(java.lang.Object[] activityHandlers)`
`(package private) java.lang.Object[]` | `makeBuiltinActivityHandlers()`
`(package private) java.lang.Object[]` | `makeBuiltinSimEventHandlers()`
`(package private) void` | `postSimEvent(PicoISim.SimEvent e)`
`void` | `schedule(PicoISim.SimEvent e)`
`(package private) void` | `setSimTime(long t)`
`void` | `setStopWhenIdle(boolean newValue)`
`void` | `start()`

Methods inherited from class ix.examples.PicoIX.IX_System
`addActivityHandlers, addConstraintManagers, eventToActivity, newEvent, notifyListener, run, setListener, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simTime

    long simTime

### stopWhenIdle

    boolean stopWhenIdle

Constructor Detail

### PicoISim.IX_Simulator

    PicoISim.IX_Simulator()

### PicoISim.IX_Simulator

    PicoISim.IX_Simulator(PicoIX.Controller c,
                          PicoIX.ModelManager m)

Method Detail

### addSimEventHandlers

    public void addSimEventHandlers(java.lang.Object[] activityHandlers)

### setStopWhenIdle

    public void setStopWhenIdle(boolean newValue)

### schedule

    public void schedule(PicoISim.SimEvent e)

### start

    public void start()

  Overrides:
    `start` in class `PicoIX.IX_System`

### setSimTime

    void setSimTime(long t)

### postSimEvent

    void postSimEvent(PicoISim.SimEvent e)

### makeBuiltinActivityHandlers

    java.lang.Object[] makeBuiltinActivityHandlers()

### makeBuiltinSimEventHandlers

    java.lang.Object[] makeBuiltinSimEventHandlers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD